namespace Pr19;

public class Romanzo : Libro
{
    public string Genere { get; set; }

    public Romanzo(string isbn, string titolo, string autore, string genere, double prezzoCopertina)
        : base(isbn, titolo, autore, prezzoCopertina)
    {
        Genere = genere;
    }

    public override double PrezzoVendita()
    {
        return PrezzoCopertina - ((PrezzoCopertina * 10) / 100);
    }
    
    public override string ToString()
    {
        return String.Format("ISBN: {0}, Titolo: {1}, Autore: {2}, Genere: {3}, Prezzo Copertina: {4}, Prezzo Vendita: {5}",
            Isbn, Titolo, Autore, Genere, PrezzoCopertina, PrezzoVendita());
    }
}